Package Details: mspds 3.13.000.001-2

Git Clone URL: https://aur.archlinux.org/mspds.git (read-only)
Package Base: mspds
Description: MSP430 Debug Stack. Contains a dynamic link library as well as embedded firmware that runs on the MSP-FET430UIF or the eZ430 emulators.
Upstream URL: http://www.ti.com/tool/mspds
Keywords: debug libmsp430.so msp430 ti
Licenses: custom:TI BSD, custom:IAR BSD, custom: TI TSPA
Submitter: ctag
Maintainer: ctag
Last Packager: ctag
Votes: 1
Popularity: 0.000000
First Submitted: 2015-12-04 05:27
Last Updated: 2018-05-16 00:57

Latest Comments

1 2 3 Next › Last »

ctag commented on 2018-05-16 01:03

@doragasu, thank you for the patch, it's applied.

@alex.shpilkin, thank you for the clarification, I added quotes to the patch.

alex.shpilkin commented on 2018-05-05 19:00

There are three things doragasu’s patch does. One is necessary, one is good but inessential, one is subtly wrong.

It replaces ../hidapi.patch with hidapi.patch: necessary for building with a non-null BUILDDIR.

It removes -d . from the arguments to patch: indeed, it’s the default, so it did nothing.

It replaces find ./ with find ${srcdir}: the current directory at entry to prepare() is $srcdir according to PKGBUILD(5), so this appears harmless if useless. It is, in fact, wrong: $srcdir is unquoted, so the build will now fail if it contains spaces.

doragasu commented on 2018-05-05 17:58

Could you please apply this patch to the PKGBUILD?: https://pastebin.com/wJV54FZ7

Otherwise, it fails to build if you set BUILDDIR variable (e.g. I set it to /tmp/makepkg).

ctag commented on 2018-05-04 03:07

Thank you all for troubleshooting the build issues. I've set the current PKGBUILD to kwrazi's.

Unfortunately I've switched jobs and don't work with msp430s anymore, so I only verified that the package builds, not that it is functional.

kwrazi commented on 2018-04-06 01:35

Here is the PKGBUILD I used to build the latest TI mspds package (creates mspds-3.12.000.004-1-x86_64.pkg.tar.xz).

alex.shpilkin commented on 2018-01-19 18:32

Here's an update patch for the package directory (yay! a patch that patches patches!): <https://gist.github.com/alex-shpilkin/2c106098136137b98dad868f832dc2ca>. Re: the license change mentioned by vonPalitroque, I chose to re-enable FPGA_UPDATE, because, well, they disabled the compilation of the file from srecord but it's still included in the source distribution (strictly speaking, making the whole source distribution GPLv3, etc., etc.) — it's not our mess to sort out.

vonPalitroque commented on 2017-12-13 18:36

Greetings,

So TI updated the source file again, and this time around there are a few problems with it. As it stands, the source will not compile:

DLL430_v3/src/TI/DLL430/UpdateManagerFet.cpp:1279:9: error: 'MSP_FetFpgaHalImage_sections' was not declared in this scope
  return MSP_FetFpgaHalImage_sections * 2;

When I for this particular definition, I noticed it was found in

Bios/include/MSP_FetFpgaHal.h

So I went ahead and tried to patch UpdateManagerFet.cpp to include that header.

This is where things got complicated. As I looked into that file, I saw this:

#ifdef FPGA_UPDATE
#include "../../../../Bios/include/MSP_FetFpgaHal.h"
#endif

And right above it:

//Removed due to license limitations
//#define FPGA_UPDATE
Looking deeper into this thing, it seems like the contents of MSP_FetFpgaHal.h came from the srecord project [1]. The issue here is that srecord is licensed under the GPLv3, and MSPDLL is licensed under the BSD license. Code under the GPL can not be linked into BSD code, as the licenses are not compatible. Hence the comment.

There are a few other constructs in that particular file that are gated away if FPGA_UPDATE is not defined. I suppose we can try doing the same for this particular part, but I am not sure about any potential side effects. Unfortunately, I am not able to test this at the moment. Sorry.

There is still the issue that the current PKGBUILD will not find the sources for the old version (slac460v.zip). I can't figure TI's website to find that particular version of the file. I have found it here [2] though.

Cheers, Orlando.

[1] http://srecord.sourceforge.net/

[2] http://ftp.internat.freebsd.org/pub/FreeBSD/distfiles/msp430-debug-stack-3.10.001.000/

edit: formatting

ctag commented on 2017-08-13 03:34

Package should be up to date again. Sorry that it has to fall behind each time; I no longer use it daily, and don't see a Ti mailing list for it or something.

Thanks for the help keeping it going with out-of-date flagging and pkgbuild assistance!

alexei commented on 2017-05-25 01:15

FYI: mspds v3.09.002.015 (libmsp430.so, SLAC460t) does not work with mspdebug v0.24. Confirmed same problem as here: https://github.com/dlbeer/mspdebug/issues/36
First fw update fails with "tilib: MSP430_FET_FwUpdate: MSP-FET / eZ-FET legacy module update failed (error = 75)", then after update in CCS in Windows, programming fails with "tilib: MSP430_OpenDevice: Device database not loaded. (error = 98)".

ctag commented on 2017-04-18 16:13

@bobpaul,

Thanks. I've bumped the link used in the build script, it should work again.